Package Details: websocketpp-git-dev 0.8.3.1764.a4494d5-1

Git Clone URL: https://aur.archlinux.org/websocketpp-git-dev.git (read-only, click to copy)
Package Base: websocketpp-git-dev
Description: C++/Boost Asio based websocket client/server library, Develop branch
Upstream URL: http://www.zaphoyd.com/websocketpp/
Licenses: BSD
Conflicts: websocketpp
Provides: websocketpp
Submitter: boteium
Maintainer: None
Last Packager: JochenJ
Votes: 0
Popularity: 0.000000
First Submitted: 2018-01-15 03:44 (UTC)
Last Updated: 2021-01-24 17:39 (UTC)

Dependencies (10)

Required by (13)

Sources (2)

Latest Comments

mgisbers commented on 2020-05-18 09:45 (UTC)

Added following line before 'scons' invocation to get it compile.

sed -i examples/scratch_client/SConscript -e "s/utility_client/scratch_client/g"

banzay commented on 2020-05-15 03:41 (UTC)

scons: *** [build/release/scratch_client/utility_client.o] Source examples/scratch_client/utility_client.cpp' not found, needed by targetbuild/release/scratch_client/utility_client.o'. scons: building terminated because of errors.

JochenJ commented on 2020-04-28 14:23 (UTC)

I filed a bug report for the failing test. https://github.com/zaphoyd/websocketpp/issues/886

Also created a pull request to get rid of the patch. https://github.com/zaphoyd/websocketpp/pull/885

I updated the package as far as it was possible without getting errors. Further updates are delivered after the test is not failing anymore.

JochenJ commented on 2020-04-28 11:05 (UTC)

I'm working on the update right now. The patch is still necessary. But there is a new bug running the tests. I have to investigate that before in can update the version.

razgriz commented on 2020-04-28 01:53 (UTC)

Build is bork on a reasonably fresh Manjaro install, possibly patch file busted thanks to an upstream develop branch update? Might be my environment.

==> Starting prepare()... patching file SConstruct Hunk #4 FAILED at 158. 1 out of 4 hunks FAILED -- saving rejects to file SConstruct.rej ==> ERROR: A failure occurred in prepare(). Aborting... :: failed to verify integrity or prepare websocketpp-git-dev package

anthonypants commented on 2020-04-28 01:50 (UTC)

As the develop branch on GitHub is now version 0.8.3, could someone update the version number in this package, and evaluate the necessity of the 2to3 patch under the new codebase?

JochenJ commented on 2019-10-22 10:24 (UTC)

develop branch works fine again. can you update this package? the regular websocketpp package is not longer useable as it is not compatible with boost > 1.70

alternatively orphan this package and i will do the update

apetresc commented on 2018-10-18 19:47 (UTC)

Indeed, the current develop branch is completely borked due to the test suite error. Here's a patch to bring it up to master which is stable: https://gist.github.com/e095da6e50995d4bec33a0ceeec0be92

therob commented on 2018-09-10 08:23 (UTC)

I'm getting the same resuls/errors as juanrodgil:

error: in "exact_match": check env.res.get_header("Connection") == "upgrade" has failed [Upgrade != upgrade]

*** 1 failure is detected in the test module "hybi_13_processor"

Is this most likely an upstream issue perhaps?

juanrodgil commented on 2018-07-31 08:39 (UTC) (edited on 2018-07-31 08:41 (UTC) by juanrodgil)

It faults to build with this error!!

~/.cache/pacaur/websocketpp-git-dev/src/websocketpp-git-dev/build/test/processors/test_hybi13_boost Running 36 test cases... test/processors/hybi13.cpp(142): error: in "exact_match": check env.res.get_header("Connection") == "upgrade" has failed [Upgrade != upgrade]

*** 1 failure is detected in the test module "hybi_13_processor"

Maybe related with this commit from 19 days ago: https://github.com/zaphoyd/websocketpp/commit/5c48a114f4061f279e203c5f861555573e736f58